USE OLTP
--order_method_type in sales can be null
INSERT INTO sales_with_fk(method_type_id)
VALUES (null)

SELECT * FROM sales_with_fk

--Get rid of this row
DELETE FROM sales_with_fk
WHERE method_type_id is null

--order_method_type can exist without sales. 
INSERT INTO order_method_type
VALUES('Method Type Not Used')

SELECT * FROM order_method_type

--Make sure order_method_id is not null.
go
ALTER TABLE sales_with_fk
ALTER COLUMN method_type_id int not null
go
INSERT INTO sales_with_fk(method_type_id)
VALUES (null)

--use a foreign key?
ALTER TABLE order_method_type
ADD CONSTRAINT method_type_fk FOREIGN KEY (id) 
                              REFERENCES sales_with_fk(method_type_id)